//////////////////////////////////////////////////////////////////////
//       SpeedStep Centrino © Gergely Rózsahegyi (RoGer) 2005       //
//                           roger@beos.hu                          //
//                                                                  //
//                    SeedStep_Table Header File                    //
//                                                                  //
//                       Created:  2005.05.23                       //
//                                                                  //
//////////////////////////////////////////////////////////////////////

#ifndef __SPEEDSTEP_TABLE_H__
#define __SPEEDSTEP_TABLE_H__

// - Safety
//#define MAX_FREQUENZY 1600	// MHz
//#define MAX_VOLT 1340			// mV

typedef struct
{
	unsigned freq;
	unsigned volt;
} frequency_table;


// ----------------------------------------------------------------------------------------------
/*
frequency_table current_table[] =
{	//				130nm 1.70GHz Pentium M		(PM17_130)
	{1700, 1484},
	{1400, 1308},
	{1200, 1228},
	{1000, 1116},
	{ 800, 1004},
	{ 600,  956},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				130nm 1.60GHz Pentium M		(PM16_130)
	{1600, 1484},
	{1400, 1420},
	{1200, 1276},
	{1000, 1164},
	{ 800, 1036},
	{ 600,  956},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				130nm 1.50GHz Pentium M		(PM15_130)
	{1500, 1484},
	{1400, 1452},
	{1200, 1356},
	{1000, 1228},
	{ 800, 1116},
	{ 600,  956},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				130nm 1.40GHz Pentium M		(PM14_130)
	{1400, 1484},
	{1200, 1436},
	{1000, 1308},
	{ 800, 1180},
	{ 600,  956},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				130nm 1.30GHz Pentium M		(PM13_130)
	{1300, 1388},
	{1200, 1356},
	{1000, 1292},
	{ 800, 1260},
	{ 600,  956},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				130nm 1.30GHz Low Voltage Pentium M		(PM13_LV_130)
	{1300, 1180},
	{1200, 1164},
	{1100, 1100},
	{1000, 1020},
	{ 900, 1004},
	{ 800,  988},
	{ 600,  956},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				130 nm 1.20GHz Low Voltage Pentium M	(PM12_LV_130)
	{1200, 1180},
	{1100, 1164},
	{1000, 1100},
	{ 900, 1020},
	{ 800, 1004},
	{ 600,  956},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				130 nm 1.10GHz Low Voltage Pentium M	(PM11_LV_130)
	{1100, 1180},
	{1000, 1164},
	{ 900, 1100},
	{ 800, 1020},
	{ 600,  956},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				130 nm 1.10GHz Ultra Low Voltage Pentium M		(PM11_ULV_130)
	{1100, 1004},
	{1000,  988},
	{ 900,  972},
	{ 800,  956},
	{ 600,  844},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				130 nm 1.00GHz Ultra Low Voltage Pentium M (PM10_ULV_130)
	{1000, 1004},
	{ 900,  988},
	{ 800,  972},
	{ 600,  844},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 2.10GHz Pentium M, VID #A		(PM_765A_90)
	{2100, 1340},
	{1800, 1276},
	{1600, 1228},
	{1400, 1180},
	{1200, 1132},
	{1000, 1084},
	{ 800, 1036},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//			90 nm 2.10GHz Pentium M, VID #B (PM_765B_90)
	{2100, 1324},
	{1800, 1260},
	{1600, 1212},
	{1400, 1180},
	{1200, 1132},
	{1000, 1084},
	{ 800, 1036},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 2.10GHz Pentium M, VID #C		(PM_765C_90)
	{2100, 1308},
	{1800, 1244},
	{1600, 1212},
	{1400, 1164},
	{1200, 1116},
	{1000, 1084},
	{ 800, 1036},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 2.10GHz Pentium M, VID #E		(PM_765E_90)
	{2100, 1356},
	{1800, 1292},
	{1600, 1244},
	{1400, 1196},
	{1200, 1148},
	{1000, 1100},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 2.00GHz Pentium M, VID #A		(PM_755A_90)
	{2000, 1340},
	{1800, 1292},
	{1600, 1244},
	{1400, 1196},
	{1200, 1148},
	{1000, 1100},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 2.00GHz Pentium M, VID #B		(PM_755B_90)
	{2000, 1324},
	{1800, 1276},
	{1600, 1228},
	{1400, 1180},
	{1200, 1132},
	{1000, 1084},
	{ 800, 1036},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 2.00GHz Pentium M, VID #C		(PM_755C_90)
	{2000, 1308},
	{1800, 1276},
	{1600, 1228},
	{1400, 1180},
	{1200, 1132},
	{1000, 1084},
	{ 800, 1036},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 2.00GHz Pentium M, VID #D		(PM_755D_90)
	{2000, 1276},
	{1800, 1244},
	{1600, 1196},
	{1400, 1164},
	{1200, 1116},
	{1000, 1084},
	{ 800, 1036},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.80GHz Pentium M, VID #A		(PM_745A_90)
	{1800, 1340},
	{1600, 1292},
	{1400, 1228},
	{1200, 1164},
	{1000, 1116},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.80GHz Pentium M, VID #B		(PM_745B_90)
	{1800, 1324},
	{1600, 1276},
	{1400, 1212},
	{1200, 1164},
	{1000, 1116},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.80GHz Pentium M, VID #C		(PM_745C_90)
	{1800, 1308},
	{1600, 1260},
	{1400, 1212},
	{1200, 1148},
	{1000, 1100},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.80GHz Pentium M, VID #D		(PM_745D_90)
	{1800, 1276},
	{1600, 1228},
	{1400, 1180},
	{1200, 1132},
	{1000, 1084},
	{ 800, 1036},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.70GHz Pentium M, VID #A		(PM_735A_90)
	{1700, 1340},
	{1400, 1244},
	{1200, 1180},
	{1000, 1116},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.70GHz Pentium M, VID #B		(PM_735B_90)
	{1700, 1324},
	{1400, 1244},
	{1200, 1180},
	{1000, 1116},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.70GHz Pentium M, VID #C		(PM_735C_90)
	{1700, 1308},
	{1400, 1228},
	{1200, 1164},
	{1000, 1116},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.70GHz Pentium M, VID #D 	(PM_735D_90)
	{1700, 1276},
	{1400, 1212},
	{1200, 1148},
	{1000, 1100},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.60GHz Pentium M, VID #A		(PM_725A_90)
	{1600, 1340},
	{1400, 1276},
	{1200, 1212},
	{1000, 1132},
	{ 800, 1068},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.60GHz Pentium M, VID #B 	(PM_725B_90)
	{1600, 1324},
	{1400, 1260},
	{1200, 1196},
	{1000, 1132},
	{ 800, 1068},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.60GHz Pentium M, VID #C		(PM_725C_90)
	{1600, 1308},
	{1400, 1244},
	{1200, 1180},
	{1000, 1116},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.60GHz Pentium M, VID #D		(PM_725D_90)
	{1600, 1276},
	{1400, 1228},
	{1200, 1164},
	{1000, 1116},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.50GHz Pentium M, VID #A		(PM_715A_90)
	{1500, 1340},
	{1200, 1228},
	{1000, 1148},
	{ 800, 1068},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.50GHz Pentium M, VID #B		(PM_715B_90)
	{1500, 1324},
	{1200, 1212},
	{1000, 1148},
	{ 800, 1068},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.50GHz Pentium M, VID #C		(PM_715C_90)
	{1500, 1308},
	{1200, 1212},
	{1000, 1132},
	{ 800, 1068},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.50GHz Pentium M, VID #D		(PM_715D_90)
	{1500, 1276},
	{1200, 1180},
	{1000, 1116},
	{ 800, 1052},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//			90 nm 1.40GHz Low Voltage Pentium M  (PM_738_90)
	{1400, 1116},
	{1300, 1116},
	{1200, 1100},
	{1100, 1068},
	{1000, 1052},
	{ 900, 1036},
	{ 800, 1020},
	{ 600,  988},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.10GHz Ultra Low Voltage Pentium M		(PM_733_90)
	{1100,  940},
	{1000,  924},
	{ 900,  892},
	{ 800,  876},
	{ 600,  812},
	{   0,    0},
};
*/
/*
frequency_table current_table[] =
{	//				90 nm 1.00GHz Ultra Low Voltage Pentium M  (PM_723_90)
	{1000,  940},
	{ 900,  908},
	{ 800,  876},
	{ 600,  812},
	{   0,    0},
};
*/

#endif
